{% extends "AppBundle::base.html.twig" %}

{% block title %}Products list{% endblock %}

{% block content %}
    <table>
        <caption>Products list</caption>
        <tr>
            <th>Name</th>
            <th>Price</th>
        </tr>
        {% for product in products %}
            <tr>
                <td>{{ product.name }}</td>
                <td>{{ product.price|round(2) }}<button class="edit-price">Edit</button></td>
            </tr>
        {% endfor %}
    </table>

    <script>
        document.querySelectorAll('.edit-price').forEach(function(editPriceButton) {
            editPriceButton.addEventListener('click', function(e) {
                var newPrice = prompt('Type new price.');

                if (newPrice.length === 0) {
                    return;
                }

                var xhr = new XMLHttpRequest();
                xhr.open('PATCH', '/product/list/' + e.target.parentElement.parentElement.querySelector('td').innerText);
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');

                xhr.addEventListener('load', function() {
                    if (xhr.status === 200) {
                        window.location.reload();
                        return;
                    }

                    alert('Error. Please type the correct float number.');
                }, false);

                xhr.send('price=' + newPrice);
            });
        });
    </script>
{% endblock %}
